Package ru.nilsoft.tm

# Class TMCommand.pay_indexes

java.lang.Object
ru.nilsoft.tm.TMCommand.pay_indexes

Enclosing class:
  `TMCommand`

public static final class TMCommand.pay_indexes extends Object
Индексы видов платежей (0..4 - предопрелены в КФН, 6..15 - определяемые).

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final byte`
  `ADVANCE`
  Аванс.
  `static final byte`
  `CARD`
  Электронные средства.
  `static final byte`
  `CASH`
  Наличные.
  `static final byte`
  `CREDIT`
  Кредит.
  `static final byte`
  `FLAG_ROUND`
  Флаг "Отбросить копейки": если установлен, то итог (тег: 1020) будет передан в ФН без копеек, если скидка на итог была, то итог будет передан в ФН с учетом суммы скидки на итог.
  `static final byte`
  `OTHER`
  Иная форма расчета.
  `static final byte`
  `USER`
  Пользовательские типы оплат (5..15).

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `pay_indexes()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### CASH

    public static final byte CASH
    Наличные.
    See Also:
      - Constant Field Values

  - ### CARD

    public static final byte CARD
    Электронные средства.
    See Also:
      - Constant Field Values

  - ### ADVANCE

    public static final byte ADVANCE
    Аванс.
    See Also:
      - Constant Field Values

  - ### CREDIT

    public static final byte CREDIT
    Кредит.
    See Also:
      - Constant Field Values

  - ### OTHER

    public static final byte OTHER
    Иная форма расчета.
    See Also:
      - Constant Field Values

  - ### USER

    public static final byte USER
    Пользовательские типы оплат (5..15).
    See Also:
      - Constant Field Values

  - ### FLAG_ROUND

    public static final byte FLAG_ROUND
    Флаг "Отбросить копейки": если установлен, то итог (тег: 1020) будет передан в ФН без копеек, если скидка на итог была, то итог будет передан в ФН с учетом суммы скидки на итог.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### pay_indexes

    public pay_indexes()